org.apache.hc.core5.http2.frame

## Class DefaultFrameFactory

- java.lang.Object
- - org.apache.hc.core5.http2.frame.FrameFactory
  - - org.apache.hc.core5.http2.frame.DefaultFrameFactory

-     public class DefaultFrameFactory
      extends FrameFactory

  Default `FrameFactory` implementation.
  Since:
    5.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FrameFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFrameFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RawFrame` | `createContinuation(int streamId, ByteBuffer payload, boolean endHeaders)`
    `RawFrame` | `createData(int streamId, ByteBuffer payload, boolean endStream)`
    `RawFrame` | `createHeaders(int streamId, ByteBuffer payload, boolean endHeaders, boolean endStream)`
    `RawFrame` | `createPushPromise(int streamId, ByteBuffer payload, boolean endHeaders)`

    - ### Methods inherited from class org.apache.hc.core5.http2.frame.FrameFactory

      `createGoAway, createPing, createPingAck, createResetStream, createResetStream, createSettings, createSettingsAck, createWindowUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final FrameFactory INSTANCE

  - ### Constructor Detail

    - #### DefaultFrameFactory

          public DefaultFrameFactory()

  - ### Method Detail

    - #### createHeaders

          public RawFrame createHeaders(int streamId,
                                        ByteBuffer payload,
                                        boolean endHeaders,
                                        boolean endStream)

      Specified by:
        `createHeaders` in class `FrameFactory`

    - #### createContinuation

          public RawFrame createContinuation(int streamId,
                                             ByteBuffer payload,
                                             boolean endHeaders)

      Specified by:
        `createContinuation` in class `FrameFactory`

    - #### createPushPromise

          public RawFrame createPushPromise(int streamId,
                                            ByteBuffer payload,
                                            boolean endHeaders)

      Specified by:
        `createPushPromise` in class `FrameFactory`

    - #### createData

          public RawFrame createData(int streamId,
                                     ByteBuffer payload,
                                     boolean endStream)

      Specified by:
        `createData` in class `FrameFactory`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.